#!/bin/bash

DEVICE="/dev/sda"

parted -a opt $DEVICE -s "$(cat parted.txt)"
partprobe 

mkfs.fat -F 32 ${DEVICE}1

pvcreate ${DEVICE}4
vgcreate data ${DEVICE}4
lvcreate -l 100%FREE /dev/mapper/data -n var

# install uefi grub
mkdir -p /boot/efi 
mount ${DEVICE}1 /boot/efi
grub-install --target=x86_64-efi --efi-directory=/boot/efi --removable --boot-directory=/boot/efi/EFI --bootloader-id=grub $DEVICE
